<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

	function checkPay( form )
	{
		
		if ( !checkSumm( form.summ.value )  )
		{
			return false;
		}
		
			
		<c:choose>
			<c:when test="${dataMap['commissionType']==0}">
				return confirm( 'Вы хотите совершить платеж на сумму ' + form.summ.value + ' ${currencyTitleMedium}?');
			</c:when>
			<c:when test="${dataMap['commissionType']==1}">
				return confirm( 'Вы хотите совершить платеж на сумму ' + form.summ.value + ' ${currencyTitleMedium}, из них комиссия '+form.summ.value*${dataMap['commissionPercent']}/100+' ${currencyTitleMedium}? ');
			</c:when>
			<c:when test="${dataMap['commissionType']==2}">
				return confirm( 'Вы хотите совершить платеж на сумму ' + form.summ.value*(100+${dataMap['commissionPercent']})/100 + ' ${currencyTitleMedium}, из них комиссия '+form.summ.value*${dataMap['commissionPercent']}/100+' ${currencyTitleMedium}? ');
			</c:when>
			<c:otherwise>
				return confirm( 'Вы хотите совершить платеж на сумму ' + form.summ.value + ' ${currencyTitleMedium}?');
			</c:otherwise>
		
		</c:choose>
	}


	elem = document.getElementById( elId );
	if ( !check.checked )
	{
		if ( confirm( 'Отказаться от автоплатежа?' ) )
		{
			//получить форму, изменить метод, засубмитить
			form = check.form;
			form.operation.value = '';
			form.submit();
		}
		else
		{
			check.checked = true;
		}
	}
	
	function checkSumm( sum )
	{
		var summa = parseFloat( sum.replace(",",".") );
		
		if ( isNaN( summa ) )
		{
			alert( 'Введена некоректная сумма' );
			return false;		
		}
		else if ( summa < ${dataMap['min_summa']} || summa > ${dataMap['max_summa']} )
		{
			alert( "Введите сумму от ${dataMap['min_summa']} до ${dataMap['max_summa']}" );
			return false;		
		}
		return true;
	}
	
	function checkAutoPay ( form )
	{
		var day = Number( form.day.value );
		if ( checkSumm(form.summ.value ) )
		{
			if ( Number.isNaN( day ) )
			{
				alert( 'Введено некоректное число месяца' );
				return false;		
			}
			else if ( day < 1 || day > 31 )
			{
				alert( 'Введите число месяца от 1 до 31' );
				return false;		
			}
		}
		else
		{
			return false;
		}
		return confirm( 'Активировать автоплатеж на сумму ' + form.summ.value + ' ${currencyTitleMedium}?');
	}

	function pay( param )
	{
		check = elem = document.getElementById( "rebill" );
		if ( param )
		{
			form = check.form;
			form.operation.value = 'autoPay';
		}
	}	
</script>

<table class="tableFont tableWidth">
  <tr>
    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
    <h3>Пополните счет c помощью сервиса <a href="http://payonline.ru/" target="_blank" class="textColor1">PayOnline</a></h3>
    <img src="http://www.payonlinesystem.ru/rel/img/logos/mc_brand_038_gif.gif"/>
	<img src="http://www.payonlinesystem.ru/rel/img/logos/visa1_60x38_a.gif"/>
	<form action="" method="POST">
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="operation" value="pay" />
		<p>Сумма (от ${dataMap['min_summa']} до ${dataMap['max_summa']}): <input type="text" name="summ" size="10" style="text-align: center;"/> <button type="submit" onclick="return checkPay( this.form );">Оплатить</button> </p>
		<div></div>
	</form></td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
  <c:if test="${dataMap['rebill']}">
  <tr><td colspan="3" style="width: 100%;">&nbsp;</td></tr>
  <tr style="padding-top: 20px;">
  	<td colspan="3" class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px; width: 100%;">
  		<h3>Автоплатеж</h3>
  		<c:choose>
  			<c:when test="${dataMap['anchor']}">
				<div>На Вашем договоре c <b>${dataMap['date']}</b> активирован автоплатеж на сумму <b>${dataMap['autoPaySumma']} ${currencyTitleMedium}</b>, который будет проводиться каждый месяц <b>${dataMap['day']}-го</b> числа.<br/></div>
				<form action="" method="POST">
				<input type="hidden" name="action" value="${action}">
				<input type="hidden" name="module" value="${module}">
				<input type="hidden" name="mid" value="${mid}">
				<input type="hidden" name="operation" value="deleteAutoPay" />
				<p><button type="submit">Отменить автоплатеж</button> </p>
				</form>
  			</c:when>
  			<c:otherwise>
		  		<div>Вы можете активировать функцию автоплатежа. После активации функции с вашей карты будет в определенный ниже 
		  		день месяца будет списывать указанная ниже сумма. В дальнейшем в любой момент время Вы можете деактивировать данную функцию. 
		  		ВНИМАНИЕ!!! Для активации автоплатежа необходимо будет совершить первый платеж с карты.</div>
				<form action="" method="POST">
					<input type="hidden" name="action" value="${action}">
					<input type="hidden" name="module" value="${module}">
					<input type="hidden" name="mid" value="${mid}">
					<input type="hidden" name="operation" value="autoPay" />
					<input type="hidden" name="rebill" value="true" />
					<p>Сумма (от ${dataMap['min_summa']} до ${dataMap['max_summa']}): <input type="text" name="summ" size="10" style="text-align: center; margin-right: 30px;"/>Число месяца: <input type="text" name="day" size="6" style="text-align: center; margin-right: 30px;"/> <button type="submit" onclick="return checkAutoPay( this.form );">Активировать</button></p>
				</form>  				
  				<div>Для активации функции автоплатежа, укажите сумму и число месяца в который Вы хотите,<br/> что бы данная сумма списывалась с вашей карты.</div>
  			</c:otherwise>
  		</c:choose>
  	</td>
  </tr>
  </c:if>
</table>

<div style="margin-top: 20px;">
	<form method="POST" action="" id="payonlineListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="payonlineListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="payonlineListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="33%">Дата</td>
				<td>Сумма</td>
				<td>Номер</td>				
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['paymentList']}">
			<c:forEach var="item" items="${dataMap['paymentList']}">
				<tr>
					<td><fmt:formatDate value="${item.date}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /> <xsl:value-of select="date" /></td>
					<td><fmt:formatNumber value="${item.summa}" /></td>
					<c:set var="link">?operation=getPdf&action=PayOnline&mid=${mid}&module=${module}&transId=${item.transactionId}</c:set>
					<td><a href="${link}">${item.transactionId}</a></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="3" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>
